/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 *
 *       Filename:  about.cpp
 *
 *    Description:  About Window
 *
 *        Created:  2007-07-30 15:05:47 CEST
 *
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 *
 * =====================================================================================
 */

#include "about.h"



QKismetAboutDialog::QKismetAboutDialog() : layout(this), but("OK")
{
	setWindowTitle("About qKismet");

	info.setText("<img src=\":/img/icon.svg\"><br>qKismet - Qt Powered Kismet GUI<br><br><a href=\"http://qkismet.sourceforge.net\">http://qkismet.sourceforge.net</a>");
	info.setTextFormat(Qt::RichText);
#if QT_VERSION >= 0x040200
	info.setOpenExternalLinks(true);
#endif
	tab.addTab(&info,"About");

	lic.setReadOnly(true);
#if QT_VERSION >= 0x040200
	lic.setText(loadFile(":/COPYING"));
#else
	lic.setHtml(loadFile(":/COPYING"));
#endif
	tab.addTab(&lic,"License");
	
	layout.addWidget(&tab);

	layout.addLayout(&bottom);

	but.setDefault(true);
	connect(&but,SIGNAL(clicked()),this,SLOT(accept()));

	
	bottom.addStretch(0);
	bottom.addWidget(&but);

	resize(520,330);
}

QString QKismetAboutDialog::loadFile(QString name)
{
	QString text;

	QFile f(name);
	if(f.open(QIODevice::ReadOnly)) {
		QTextStream t(&f);
		while(!t.atEnd())
			text += t.readLine() + '\n';
		f.close();
	}

	return text;
}
