/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 *
 *       Filename:  alertview.h
 *
 *    Description:  Alerts view
 *
 *        Created:  2007-07-05 16:14:10 CEST
 *
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 *
 * =====================================================================================
 */
#ifndef ALERTVIEW_H
#define ALERTVIEW_H

#include <QTreeWidget>
#include <QDockWidget>
#include <QMenu>

#include "kisock.h"
#include "kisview.h"
#include "viewtoolbar.h"
#include "alertmodel.h"
#include "alertinfo.h"
#include "headmenu.h"
#include <QMainWindow>

class QKismetAlertView : public QKismetTreeView
{
	Q_OBJECT

public:
	QKismetAlertView(QKismetSocket *sock);
	~QKismetAlertView();
private:
	void createMenus();
        alertManager *man;
        HeadMenu *headMenu;
private slots:
	void SaveSettings();
        void updateColumnVisibility();
};


class QKismetAlertWnd : public QMainWindow
{
	Q_OBJECT
public:
	QKismetAlertWnd(QKismetSocket *sock);
	~QKismetAlertWnd();
private:
	QKismetAlertView *tree;
	QKismetViewToolBar *toolbar;

};

class QKismetAlertDock : public QDockWidget
{
	Q_OBJECT
public:
	QKismetAlertDock(QKismetSocket* sock);
	~QKismetAlertDock();
private:
	QKismetAlertWnd *wnd;

};


#endif
