/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 * 
 *       Filename:  confdialog.h
 * 
 *    Description:  Config dialog
 * 
 *        Created:  2007-08-27 16:06:37 CEST
 * 
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 * 
 * =====================================================================================
 */

#ifndef  CONFDIALOG_INC
#define  CONFDIALOG_INC

#include <QDialog>

#include <QListWidget>
#include <QStackedWidget>
#include "configpages.h"

class ConfigDialog : public QDialog
{
	Q_OBJECT

	public:
		ConfigDialog();

	public slots:
		void changePage(QListWidgetItem *current, QListWidgetItem *previous);
		void saveAndClose();

	private:
		void createIcons();

		QListWidget *contentsWidget;
		QStackedWidget *pagesWidget;

		NetworkPage *NetPage;
		GraphPage *GrPage;
};

#endif   /* ----- #ifndef CONFDIALOG_INC  ----- */

