/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 *
 *       Filename:  configpages.cpp
 *
 *    Description:  Config dialog pages 
 *
 *        Created:  2007-08-27 16:02:56 CEST
 *
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 *
 * =====================================================================================
 */

#include "configpages.h"
#include "settings.h"

NetworkPage::NetworkPage(QWidget *parent) : QWidget(parent)
{

	QKismetSettings::getInstance();

	main		= new QVBoxLayout;
	gadr		= new QGroupBox("Default connection",this);
	
	address		= new QHBoxLayout;
	gadr->setLayout(address);

	lhost		= new QLabel("Host:",gadr);
	
	lport		= new QLabel("Port:",gadr);
	host		= new QLineEdit(gadr);
	port		= new QSpinBox(gadr);

	port->setRange(1,0xffff);

	address->addWidget(lhost);
	address->addWidget(host);
	address->addWidget(lport);
	address->addWidget(port);

	main->addWidget(gadr);

	gother		= new QGroupBox("Other",this);
	olay		= new QVBoxLayout;
	gother->setLayout(olay);

	cbstartup	= new QCheckBox("Connect at startup",gother);
	olay->addWidget(cbstartup);
	
	//main->addStretch(1);
	main->addWidget(gother);
	//main->addStretch(1);

	setLayout(main);

	QKismetSettings* s	= &QKismetSettings::getInstance();

	host->setText(s->Network.host);
	port->setValue(s->Network.port);
	cbstartup->setChecked(s->Network.cas);
}

void NetworkPage::Save()
{
	QKismetSettings* s	= &QKismetSettings::getInstance();

	s->Network.host	= host->text();
	s->Network.port	= port->value();
	s->Network.cas	= cbstartup->isChecked();
}

GraphPage::GraphPage(QWidget *parent) : QWidget(parent)
{

	QKismetSettings::getInstance();

	main		= new QVBoxLayout;

	setLayout(main);
}

void GraphPage::Save()
{
	
}
/*UpdatePage::UpdatePage(QWidget *parent) : QWidget(parent)
{
	QGroupBox *updateGroup = new QGroupBox(tr("Package selection"));
	QCheckBox *systemCheckBox = new QCheckBox(tr("Update system"));
	QCheckBox *appsCheckBox = new QCheckBox(tr("Update applications"));
	QCheckBox *docsCheckBox = new QCheckBox(tr("Update documentation"));

	QGroupBox *packageGroup = new QGroupBox(tr("Existing packages"));

	QListWidget *packageList = new QListWidget;
	QListWidgetItem *qtItem = new QListWidgetItem(packageList);
	qtItem->setText(tr("Qt"));
	QListWidgetItem *qsaItem = new QListWidgetItem(packageList);
	qsaItem->setText(tr("QSA"));
	QListWidgetItem *teamBuilderItem = new QListWidgetItem(packageList);
	teamBuilderItem->setText(tr("Teambuilder"));

	QPushButton *startUpdateButton = new QPushButton(tr("Start update"));

	QVBoxLayout *updateLayout = new QVBoxLayout;
	updateLayout->addWidget(systemCheckBox);
	updateLayout->addWidget(appsCheckBox);
	updateLayout->addWidget(docsCheckBox);
	updateGroup->setLayout(updateLayout);

	QVBoxLayout *packageLayout = new QVBoxLayout;
	packageLayout->addWidget(packageList);
	packageGroup->setLayout(packageLayout);

	QVBoxLayout *mainLayout = new QVBoxLayout;
	mainLayout->addWidget(updateGroup);
	mainLayout->addWidget(packageGroup);
	mainLayout->addSpacing(12);
	mainLayout->addWidget(startUpdateButton);
	mainLayout->addStretch(1);
	setLayout(mainLayout);
}

QueryPage::QueryPage(QWidget *parent) : QWidget(parent)
{
	QGroupBox *packagesGroup = new QGroupBox(tr("Look for packages"));

	QLabel *nameLabel = new QLabel(tr("Name:"));
	QLineEdit *nameEdit = new QLineEdit;

	QLabel *dateLabel = new QLabel(tr("Released after:"));
	QDateTimeEdit *dateEdit = new QDateTimeEdit(QDate::currentDate());

	QCheckBox *releasesCheckBox = new QCheckBox(tr("Releases"));
	QCheckBox *upgradesCheckBox = new QCheckBox(tr("Upgrades"));

	QSpinBox *hitsSpinBox = new QSpinBox;
	hitsSpinBox->setPrefix(tr("Return up to "));
	hitsSpinBox->setSuffix(tr(" results"));
	hitsSpinBox->setSpecialValueText(tr("Return only the first result"));
	hitsSpinBox->setMinimum(1);
	hitsSpinBox->setMaximum(100);
	hitsSpinBox->setSingleStep(10);

	QPushButton *startQueryButton = new QPushButton(tr("Start query"));

	QGridLayout *packagesLayout = new QGridLayout;
	packagesLayout->addWidget(nameLabel, 0, 0);
	packagesLayout->addWidget(nameEdit, 0, 1);
	packagesLayout->addWidget(dateLabel, 1, 0);
	packagesLayout->addWidget(dateEdit, 1, 1);
	packagesLayout->addWidget(releasesCheckBox, 2, 0);
	packagesLayout->addWidget(upgradesCheckBox, 3, 0);
	packagesLayout->addWidget(hitsSpinBox, 4, 0, 1, 2);
	packagesGroup->setLayout(packagesLayout);

	QVBoxLayout *mainLayout = new QVBoxLayout;
	mainLayout->addWidget(packagesGroup);
	mainLayout->addSpacing(12);
	mainLayout->addWidget(startQueryButton);
	mainLayout->addStretch(1);
	setLayout(mainLayout);
}*/
