/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 * 
 *       Filename:  configpages.h
 * 
 *    Description:  Config pages
 * 
 *        Created:  2007-08-27 16:02:36 CEST
 *
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 * 
 * =====================================================================================
 */

#ifndef  CONFIGPAGES_INC
#define  CONFIGPAGES_INC

#include <QWidget>

#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QSpinBox>
#include <QCheckBox>
#include <QLineEdit>
#include <QLabel>
#include <QGroupBox>

class NetworkPage : public QWidget
{
	public:
		NetworkPage(QWidget *parent = 0);
		void Save();
	private:
		QVBoxLayout	*main,*olay;
		QHBoxLayout	*address;

		QGroupBox	*gadr,*gother;
		
		QLabel		*lhost,*lport;
		QLineEdit	*host;
		QSpinBox	*port;
		QCheckBox	*cbstartup;
};

class GraphPage : public QWidget
{
	public:
		GraphPage(QWidget *parent = 0);
		void Save();
	private:
		QVBoxLayout     *main;
};
/*
class UpdatePage : public QWidget
{
	public:
		UpdatePage(QWidget *parent = 0);
};*/
#endif   /* ----- #ifndef CONFIGPAGES_INC  ----- */

