/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 * 
 *       Filename:  filteredit.h
 * 
 *    Description:  Filter edit field
 * 
 *        Created:  2007-07-06 15:40:58 CEST
 * 
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 *
 * =====================================================================================
 */

#ifndef  LINEEDIT_INC
#define  LINEEDIT_INC

#include <QLineEdit>
#include <QMenu>
#include <QToolButton>
#include <QStyle>

enum filterMode{Starts,Ends,Contains,Equals,RegExp};

class FilterEdit : public QLineEdit
{
	Q_OBJECT

public:
	FilterEdit(QWidget *parent = 0);
	QAction acon,astart,aend,aeq,areg,ainv,acase;
signals:
	void modeChanged(filterMode mode);
protected:
	void resizeEvent(QResizeEvent *);
private:
	int ops;
	QActionGroup ag;
	bool inv,cas;
	QToolButton clearButton;
	QMenu menu;
private slots:
	void opChanged();
};

#endif   /* ----- #ifndef LINEEDIT_INC  ----- */

