/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 * 
 *       Filename:  headmenu.h
 * 
 *    Description:  Menu for list headers
 * 
 *        Created:  2007-09-12 15:35:28 CEST
 * 
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 * 
 * =====================================================================================
 */

#ifndef  HEADMENU_INC
#define  HEADMENU_INC

#include <QMenu>
#include <QHash>

#include "kisview.h"
#include "datamanager.h"

class QKismetAction : public QAction
{
        Q_OBJECT
public:
        QKismetAction(protocolOption option, const QString& text, QObject *parent);
        protocolOption option();
signals:
        void triggered(protocolOption option, bool enabled);
private:
        protocolOption opt;
        dataManager *man;
private slots:
        void trig();
};


class HeadMenu : public QMenu
{
Q_OBJECT
	public:
                HeadMenu(dataManager *m, QKismetTreeView *view);
        public slots:
                void show(const QPoint& pos);
	private:
                dataManager *man;
                QList<QKismetAction*> acts;

        private slots:
                void updateData();
                void updateSelected();
};

#endif   /* ----- #ifndef HEADMENU_INC  ----- */

