/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 * 
 *       Filename:  infoview.h
 * 
 *    Description:  Info view
 * 
 *        Created:  2007-08-22 13:50:24 CEST
 * 
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 * 
 * =====================================================================================
 */

#ifndef  INFOVIEW_INC
#define  INFOVIEW_INC

#include <QWidget>
#include <QProgressBar>
#include <QVBoxLayout>
#include <QDockWidget>
#include <QAction>
#include <QIcon>
#include <QLabel>

#include "kisock.h"
#include "infoinfo.h"



class QKismetInfoWnd  : public QWidget
{
	Q_OBJECT
public:
	QKismetInfoWnd(QKismetSocket *sock);
	~QKismetInfoWnd();

private:
	QBoxLayout main;


	QVBoxLayout card;
	
        QLabel networks,packets,crypt,noise,dropped,rate,signal;

	QKismetSocket *socket;
	bool vertical;
        infoManager *manager;

public slots:
        void update(infoInfo info);



};

class QKismetInfoDock : public QDockWidget
{
	Q_OBJECT
public:
	QKismetInfoDock(QKismetSocket* sock);
	~QKismetInfoDock();

	QKismetInfoWnd infownd;
};



#endif   /* ----- #ifndef INFOVIEW_INC  ----- */

