/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 * 
 *       Filename:  kisfilter.h
 * 
 *    Description:  Filter model
 * 
 *        Created:  2007-08-13 16:03:57 CEST
 * 
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 * 
 * =====================================================================================
 */

#ifndef  KISFILTER_INC
#define  KISFILTER_INC

#include <QSortFilterProxyModel>
#include "filteredit.h"

class KismetSortFilterProxy : public QSortFilterProxyModel
{
	Q_OBJECT
public:
	KismetSortFilterProxy();
	bool filterAcceptsRow(int sourceRow, const QModelIndex &sourceParent) const;
	
public slots:
	void setInvert(bool inv);
	void setCaseSensitive(bool cas);
	void setMode(filterMode mode);
	void setFilterString(const QString& string);
private:
	bool checkStarts(const QString &s);
	bool checkEnds(const QString &s);
	bool checkEq(const QString &s);
	bool checkRegExp(const QString &s);
	bool checkContains(const QString &s);
	bool binv,bex,bcas;
	filterMode mode;
	QString strexp;
};

#endif   /* ----- #ifndef KISFILTER_INC  ----- */

