/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 *
 *       Filename:  kismetinfo.h
 *
 *    Description:  Info about kismet server
 *
 *        Created:  2009-07-04 13:20:57 CEST
 *
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 *
 * =====================================================================================
 */

#ifndef KISMETINFO_H
#define KISMETINFO_H

#include <QString>
#include "kismetresponse.h"

class kismetInfo
{
public:
        kismetInfo(kismetResponse &response);

        //Kismet version (usually 0.0.0)
        QString version();

        //Server's start time
        int time();

        //Server name
        QString name();

        //(only old kismet) Kismet's timestamp
        QString timestamp();

        //(only old kismet) Is channelhop enabled ?
        bool channelHop();

        //(only old kismet) Kismet's 'new version' (date of release)
        QString newVersion();

        //(only newcore) Server's dump file list
        QString dumpFiles();

        //(only newcore) Server uid
        int uid();

        //(only newcore) ? Undocumented value,
        //currently not even being sent by kismet server,
        //but existing in KISMET_fields enum.
        int max();



        //returns true if data came from Kismet newcore
        bool newcore();
private:
        QString ver, nam, bld, nver;
        int stime, suid, smax;
        bool nc, chop;
};

#endif // KISMETINFO_H
