/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 *
 *       Filename:  main.cpp
 *
 *    Description:   
 *
 *        Created:  2007-07-05 16:14:10 CEST
 *
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 *
 * =====================================================================================
 */
#include "main.h"
#include "settings.h"
#include "manuf.h"

int main(int argc, char *argv[])
{
	QKismetApp app(argc,argv);
	
//	ReadManufData(0);
//	return 0;

	return app.exec();
}

QKismetApp::QKismetApp(int &argc,char **argv) : QApplication(argc,argv)
{
	Window = new MainWindow(&Socket);

	connect(&Socket,SIGNAL(serverInfo(kismetInfo)),this,SLOT(setServerInfo(kismetInfo)));
	connect(&Socket,SIGNAL(stateCh(QAbstractSocket::SocketState)),Window,SLOT(showState(QAbstractSocket::SocketState)));

	if(QKismetSettings::getInstance().Network.cas)
		Socket.Connect();

	Window->show();
}

void QKismetApp::setServerInfo(kismetInfo info)
{
        Window->setSTime(info.time());
        Window->setServerName(info.name());
}

