/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 *
 *       Filename:  netview.h
 *
 *    Description:  Network view
 *
 *        Created:  2007-07-05 16:14:10 CEST
 *
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 *
 * =====================================================================================
 */
#ifndef NETVIEW_H
#define NETVIEW_H

#include <QTreeWidget>
#include <QMenu>

#include "kisock.h"
#include "kisview.h"
#include "netmodel.h"
#include "headmenu.h"

class QKismetNetView : public QKismetTreeView
{
	Q_OBJECT

public:
	QKismetNetView(QKismetSocket *sock);
	~QKismetNetView();

private:
	void createMenus();
	QKismetSocket *socket;
        networkManager *netMan;
        clientManager *cliMan;
        HeadMenu *headMenu;
private slots:
        void updateColumnVisibility();
public slots:
	void SaveSettings();
};

#endif
