/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 *
 *       Filename:  protocolmanager.h
 *
 *    Description:  Manages informations about protocols from the server
 *
 *        Created:  2009-09-10 12:19:38 CEST
 *
 *	Copyright (C) 2009 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 *
 * =====================================================================================
 */


#ifndef PROTOCOLMANAGER_H
#define PROTOCOLMANAGER_H


#include <QObject>
#include <QHash>

#include "kisock.h"




class protocolManager : public dataManager
{
        Q_OBJECT
public:
        protocolManager(QKismetSocket *socket);
        void parseData(const QString &protocol, kismetResponse &response);
        const QStringList& protocols();
        const QStringList& caps(const QString& protocol);
signals:
        void capsChanged(const QString& protocol);


private slots:
        void socketReady();

private:
        QKismetSocket *sock;
        QStringList protos;
        QHash<QString,QStringList> cap;

};



#endif // PROTOCOLMANAGER_H
