/*
 * =====================================================================================
 * 
 *       Filename:  settings.h
 * 
 *    Description:  Settings 
 * 
 *        Version:  1.0
 *        Created:  2007-09-05 15:15:00 CEST
 *       Revision:  none
 *       Compiler:  gcc
 * 
 *         Author:   (), 
 *        Company:  
 * 
 * =====================================================================================
 */

#ifndef  SETTINGS_INC
#define  SETTINGS_INC

#include <QStringList>
#include <QPoint>
#include <QSize>

struct ViewSettings
{
	QList<int> Columns,Order,Sizes;
};

struct Placement
{
	QPoint point;
	QSize size;
};

struct NetworkSettings
{
	//Connect at startup
	bool cas;
	QString host;
	int port;
};

class QKismetSettings
{
private:
	QKismetSettings();
	QKismetSettings(const QKismetSettings &);
	QKismetSettings& operator=(const QKismetSettings&);
public:
	~QKismetSettings();
	void SaveNetwork();

	ViewSettings VNetwork,VAlert;
	Placement MainWindow;
	QStringList PNetwork,PAlert,PClient;

	NetworkSettings Network;

	static QKismetSettings& getInstance()
	{
		static QKismetSettings instance;
		return instance;
	}
};

#endif   /* ----- #ifndef SETTINGS_INC  ----- */

