/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 * 
 *       Filename:  statmodel.h
 * 
 *    Description:  Status messages model
 * 
 *        Created:  2007-08-10 18:41:29 CEST
 * 
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 * 
 * =====================================================================================
 */

#ifndef  STATMODEL_INC
#define  STATMODEL_INC


#include <QDateTime>
#include <QVariant>
#include <QAbstractItemModel>

#include "kisock.h"
#include "kismodel.h"
#include "statusinfo.h"

struct StatusRootItem;

class StatusItem : public statusInfo
{
public:
        StatusItem(statusInfo& info, StatusRootItem *parent);

	int row();
	QVariant data(int column);
	StatusRootItem *parent();
private:
	StatusRootItem *root;
};

struct StatusRootItem
{
	public:
		QList<StatusItem*> items;
};

class StatusModel : public KismetDataModel<StatusRootItem,StatusItem>
{
	Q_OBJECT
public:
                StatusModel(statusManager *man);

		QVariant data(const QModelIndex &index, int role) const;
		QVariant headerData(int section, Qt::Orientation orientation,int role = Qt::DisplayRole) const;

		QModelIndex index(int row, int column, const QModelIndex &parent = QModelIndex()) const;
		QModelIndex parent(const QModelIndex &index) const;
		int columnCount(const QModelIndex &parent = QModelIndex()) const;

public slots:
                void statInfo(statusInfo info);
private:
                statusManager *manager;
};


#endif   /* ----- #ifndef STATMODEL_INC  ----- */

