/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 * 
 *       Filename:  statview.h
 * 
 *    Description:  Status messages view
 * 
 *        Created:  2007-07-05 16:13:38 CEST
 * 
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 *
 * =====================================================================================
 */

#ifndef  STATVIEW_INC
#define  STATVIEW_INC

#include <QTreeWidget>
#include <QDockWidget>
#include <QMainWindow>

#include "kisock.h"
#include "kisview.h"
#include "viewtoolbar.h"
#include "statmodel.h"

class QKismetStatusWnd;

class QKismetStatusView : public QKismetTreeView
{
	Q_OBJECT

public:
	QKismetStatusView(QKismetSocket *sock);
};


class QKismetStatusDock : public QDockWidget
{
	Q_OBJECT
public:
	QKismetStatusDock(QKismetSocket* sock);
	~QKismetStatusDock();

	QKismetStatusWnd *tree;
};


class QKismetStatusWnd  : public QMainWindow
{
	Q_OBJECT
public:
	QKismetStatusWnd(QKismetSocket *sock);
	~QKismetStatusWnd();
private:
	QKismetStatusView *view;
	QKismetViewToolBar *toolbar;
};
#endif   /* ----- #ifndef STATVIEW_INC  ----- */

