/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 *
 *       Filename:  viewtoolbar.cpp
 *
 *    Description:  Toolbar for statview, netview, alertview, etc.
 *
 *        Created:  2007-07-07 16:08:20 CEST
 *
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 *
 * =====================================================================================
 */
#include "viewtoolbar.h"

QKismetViewToolBar::QKismetViewToolBar(QKismetTreeView *view)
{
	addActions(view->menuActions());
	addWidget(&filter);
	connect(&filter, SIGNAL(textChanged(const QString&)), &view->proxy, SLOT(setFilterString(const QString&)));
	connect(&filter.acase, SIGNAL(toggled(bool)), &view->proxy, SLOT(setCaseSensitive(bool)));
	connect(&filter.acase, SIGNAL(toggled(bool)), &view->proxy, SLOT(setCaseSensitive(bool)));
	connect(&filter.ainv, SIGNAL(toggled(bool)), &view->proxy, SLOT(setInvert(bool)));
	connect(&filter, SIGNAL(modeChanged(filterMode)), &view->proxy, SLOT(setMode(filterMode)));
	setWindowTitle("Filter Toolbar");
        setIconSize(QSize(22,22));
}
