/*
 * =====================================================================================
 *
 *	This file is part of qKismet, Qt Kismet GUI.
 *
 *	qKismet is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	qKismet is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * =====================================================================================
 * 
 *       Filename:  viewtoolbar.h
 * 
 *    Description:  Toolbar for views
 * 
 *        Created:  2007-07-07 16:09:12 CEST
 * 
 *	Copyright (C) 2007 Krzysztof Tyszecki <krzychoocpp@gmail.com>
 * 
 * =====================================================================================
 */

#ifndef  VIEWTOOLBAR_INC
#define  VIEWTOOLBAR_INC

#include <QToolBar>
#include <QLineEdit>
#include "kisview.h"
#include "filteredit.h"

class QKismetViewToolBar : public QToolBar
{
	Q_OBJECT
public:
	QKismetViewToolBar(QKismetTreeView *view);
private:
	FilterEdit filter;
};
#endif   /* ----- #ifndef VIEWTOOLBAR_INC  ----- */

